Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.stratum.scheduler
Class SchedulerConfig

    java.lang.Object
      org.apache.stratum.scheduler.SchedulerConfig

public class SchedulerConfig
extends java.lang.Object

This bean represents all of the configuration information needed to load the Quartz scheduler.

Version:
  $Id: SchedulerConfig.java 264723 2005-08-30 07:44:51Z henning $
Author:
  John Thorhauer

Constructor Summary
`SchedulerConfig()` Default contructor

Method Summary
`void` | `addJobConfig(JobConfig jconf)` Add a Job Configuraton to Scheduler Config
`void` | `addTriggerConfig(TriggerConfig trigger)` Add a trigger to Scheduler Config
`java.lang.String` | `getInstanceName()` Return the reference name of the scheduler
`java.util.List` | `getJobConfigs()` Return a list of Job Configurations
`JobStoreConfig` | `getJobStoreConfig()` Return the the JobStore object
`ThreadPoolConfig` | `getThreadPoolConfig()` Return the the ThreadPool object
`java.util.List` | `getTriggerConfigs()` Return a list of triggers
`void` | `setInstanceName(java.lang.String s)` Set the reference name given to the scheduler that is loaded into Quartz
`void` | `setJobStoreConfig(JobStoreConfig jobStr)` Set the jobstore for the scheduler to use
`void` | `setThreadPoolConfig(ThreadPoolConfig thdPool)` Set the threadPool for the scheduler to use

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SchedulerConfig

    public SchedulerConfig()

  Default contructor

Method Detail

### setInstanceName

    public void setInstanceName(java.lang.String s)

  Set the reference name given to the scheduler that is loaded into Quartz

  Parameters:
    `s` - instanceName

### getInstanceName

    public java.lang.String getInstanceName()

  Return the reference name of the scheduler

  Returns:
    instance name

### addJobConfig

    public void addJobConfig(JobConfig jconf)

  Add a Job Configuraton to Scheduler Config

  Parameters:
    `jconf` - Job configuration

### getJobConfigs

    public java.util.List getJobConfigs()

  Return a list of Job Configurations

  Returns:
    List of job configs

### addTriggerConfig

    public void addTriggerConfig(TriggerConfig trigger)

  Add a trigger to Scheduler Config

  Parameters:
    `trigger` -

### getTriggerConfigs

    public java.util.List getTriggerConfigs()

  Return a list of triggers

  Returns:
    List of triggers

### setThreadPoolConfig

    public void setThreadPoolConfig(ThreadPoolConfig thdPool)

  Set the threadPool for the scheduler to use

  Parameters:
    `thdPool` - threadPool

### getThreadPoolConfig

    public ThreadPoolConfig getThreadPoolConfig()

  Return the the ThreadPool object

  Returns:
    threadPool

### setJobStoreConfig

    public void setJobStoreConfig(JobStoreConfig jobStr)

  Set the jobstore for the scheduler to use

  Parameters:
    `jobStr` - jobstore

### getJobStoreConfig

    public JobStoreConfig getJobStoreConfig()

  Return the the JobStore object

  Returns:
    jobStore

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2005 Apache Software Foundation. All Rights Reserved.